Page MenuHomePhabricator

Show <newarticletext> as a placeholder, or something else that is more useful than an edit notice, for VE users
Open, LowPublic1 Estimated Story Points

Event Timeline

Jdforrester-WMF raised the priority of this task from to Low.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2015, 6:23 PM

Hmm. Enwiki's version of this message says "type in the box below". I guess it'd still better be a placeholder than an edit notice though.

Hmm. Enwiki's version of this message says "type in the box below". I guess it'd still better be a placeholder than an edit notice though.

And technically it's true – "type (in the box) below" vs "type in (the box below)".

J.

Change 221893 had a related patch set uploaded (by Alex Monk):
Set text of newarticletext as placeholder of surface rather than edit notice

https://gerrit.wikimedia.org/r/221893

Krenair claimed this task.Jun 30 2015, 6:19 PM
Jdforrester-WMF closed this task as Resolved.Jul 1 2015, 3:46 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.

Change 221893 merged by jenkins-bot:
Show <newarticletext> as surface placeholder, not an edit notice

https://gerrit.wikimedia.org/r/221893

Esanders added a subscriber: Esanders.EditedJul 2 2015, 10:26 AM

This is wrong. Placeholders are not for showing general messages, they're basically inline versions of input <label>s, or to describe example formats (e.g. on a date field). Either way it is a short instruction on how to fill out the input, which this is not.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:26 AM
Esanders added a comment.EditedJul 2 2015, 10:27 AM

If we don't like the edit notice system we should address that separately. I agree the new article text probably doesn't belong in edit notices, but it definitely isn't a placeholder.

Change 222269 had a related patch set uploaded (by Esanders):
Revert "Show <newarticletext> as surface placeholder, not an edit notice"

https://gerrit.wikimedia.org/r/222269

<newarticletext> can contain arbitrary rich formatting, such as on en.wiki: https://en.wikipedia.org/wiki/Qewrdvfaeda?veaction=edit , so converting this to a plaintext placeholder is a non-starter.

Jdforrester-WMF renamed this task from Show <newarticletext> as a placeholder, rather than an edit notice, for VE users to Show <newarticletext> as a placeholder, or something else that is more useful than an edit notice, for VE users.Jul 2 2015, 8:44 PM
Jdforrester-WMF reopened this task as Open.
Jdforrester-WMF removed Krenair as the assignee of this task.
Jdforrester-WMF added a subscriber: matmarex.

So… @Esanders and @matmarex didn't like it as a placeholder. What instead?

Change 222269 merged by jenkins-bot:
Revert "Show <newarticletext> as surface placeholder, not an edit notice"

https://gerrit.wikimedia.org/r/222269

My first thought was a toolbar dialog. We'd have to work out an interface to allow the user to hide/show it, though.

My first thought was a toolbar dialog. We'd have to work out an interface to allow the user to hide/show it, though.

This seems odd. We want an interface component that appears to guide you through dos and don'ts of creating a page… but only does in a non-invasive way (no modal "OK" dialog), doesn't feel like it's a "control" (I think a toolbar window would be poor for this), gives a way to follow links if that's appropriate (maybe?), and other needs.

Longer-term, something with a prompted task list might make sense for some of this (especially if we can add default fillers or wizards on click):

  • Add an infobox
  • Add two or more references
  • Add an illustration
  • Add one or more categories
  • Link to the Wikidata concept
  • Have an external links section

etc., but that'll take years.